Subject: Re: [PATCH v4 1/6] netlink: Reverse the patch which removed filtering

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Jun 2023 09:43:14 -0700

On Thu, 1 Jun 2023 16:34:08 +0000 Anjali Kulkarni wrote:
> > The code may have security implications, I really don't feel like I can
> > be the sole reviewer. There's a bunch of experts working at Oracle,
> > maybe you could get one of them to put their name on it? I can apply
> > the patches, I just want to be sure I'm not the _only_ reviewer.  
> 
> Thanks so much for your response. There is someone at Oracle who
> looked at this some time ago and is familiar enough with this to
> review the code - but he is not a kernel committer - he sends
> occasional patches upstream which get committed - would it be ok if
> he reviewed it along with you and then you could commit it? If you
> know of someone from Oracle who could also potentially review it,
> please let me know. 

I meant someone seasoned. IMHO one of the benefits of employing
upstream experts for corporation like Oracle should be that you
can lean on them for reviews:

$ git log --format='%ae' --author='Oracle' --since='2 years ago' | sort | uniq -c | sort -rn
    811 [email-masked]
    312 [email-masked]
     91 [email-masked]
     60 [email-masked]

$ git log --format='%ae' --author=[email-masked]' --since='2 years ago' | sort | uniq -c | sort -rn | head -10
    451 [email-masked]
    154 [email-masked]
    118 [email-masked]
     71 [email-masked]
     59 [email-masked]
     58 [email-masked]
     55 [email-masked]
     53 [email-masked]
     32 [email-masked]
     32 [email-masked]